## luppp 1.0.1+git20140320

=== src/CMakeLists.txt ===

# Find depend libraries
find_package(PkgConfig)

pkg_check_modules(CAIRO cairo REQUIRED)
include_directories( ${CAIRO_INCLUDE_DIRS}  )
link_directories   ( ${CAIRO_LIBRARY_DIRS}  )

pkg_check_modules(NTK ntk REQUIRED)
include_directories( ${NTK_INCLUDE_DIRS}  )
link_directories   ( ${NTK_LIBRARY_DIRS}  )

pkg_check_modules(LIBLO liblo REQUIRED)
include_directories( ${LIBLO_INCLUDE_DIRS}  )
link_directories   ( ${LIBLO_LIBRARY_DIRS}  )

pkg_check_modules(JACK jack REQUIRED)
include_directories( ${JACK_INCLUDE_DIRS}  )
link_directories   ( ${JACK_LIBRARY_DIRS}  )

pkg_check_modules(SNDFILE sndfile REQUIRED)
include_directories( ${SNDFILE_INCLUDE_DIRS}  )
link_directories   ( ${SNDFILE_LIBRARY_DIRS}  )

pkg_check_modules(SAMPLERATE samplerate REQUIRED)
include_directories( ${SAMPLERATE_INCLUDE_DIRS}  )
link_directories   ( ${SAMPLERATE_LIBRARY_DIRS}  )

# Check build type, adding coverage flags if needed
IF(BUILD_TESTS)
  ADD_DEFINITIONS(-DBUILD_TESTS)
  ADD_DEFINITIONS(-DBUILD_COVERAGE_TEST)
  
  SET(CMAKE_CXX_FLAGS "-g -Wall -Wextra -Wno-unused-variable -fprofile-arcs -ftest-coverage")
  SET(CMAKE_C_FLAGS "-g -Wall -Wextra -W -Wno-unused-variable -fprofile-arcs -ftest-coverage")
  SET(CMAKE_EXE_LINKER_FLAGS "-fprofile-arcs -ftest-coverage")
ENDIF(BUILD_TESTS)

IF(RELEASE_BUILD)
  SET(CMAKE_CXX_FLAGS "-g -Wall -Wno-unused-variable -msse2 -mfpmath=sse -ffast-math")
  SET(CMAKE_C_FLAGS "-g -Wall -W -Wno-unused-variable -msse2 -mfpmath=sse -ffast-math")
ENDIF(RELEASE_BUILD)


# Add all files
FILE(GLOB sources *.cxx  avtk/*.cxx cjson/*.c controller/*.cxx dsp/*.cxx observer/*.cxx state/*.cxx tests/*.cxx)

# Compile binary
add_executable (luppp version.hxx ${sources} )


# Linking
target_link_libraries( luppp ${JACK_LIBRARIES}       )
target_link_libraries( luppp ${LIBLO_LIBRARIES}      )
target_link_libraries( luppp ${NTK_LIBRARIES}        )
target_link_libraries( luppp ${CAIRO_LIBRARIES}      )
target_link_libraries( luppp ${SNDFILE_LIBRARIES}    )
target_link_libraries( luppp ${SAMPLERATE_LIBRARIES} )

# Check build type, linking with gcov for code analysis if needed
IF(BUILD_TESTS)
  target_link_libraries(luppp gcov)
ENDIF(BUILD_TESTS)

# add the install targets
install (TARGETS luppp DESTINATION bin)

=== debian/changelog ===
luppp (1.0.1+git20140320-1kxstudio1) lucid; urgency=medium

  * New git

 -- falkTX <falktx@gmail.com>  Thu, 20 Mar 2014 22:11:39 +0000

luppp (1.0~rc1-0kxstudio2) lucid; urgency=low

  * Fixed i386 package failing to build 

 -- Jeremy Jongepier <jeremy@autostatic.com>  Fri, 13 Dec 2013 20:45:09 +0100

luppp (1.0~rc1-0kxstudio1) lucid; urgency=low

  * New upstream release

 -- Jeremy Jongepier <jeremy@autostatic.com>  Fri, 13 Dec 2013 00:01:35 +0100

luppp (1.0~beta1-0kxstudio1) lucid; urgency=low

  * Initial release

 -- Jeremy Jongepier <jeremy@autostatic.com>  Thu, 05 Dec 2013 21:25:07 +0100

=== debian/control ===
Source: luppp
Section: sound
Priority: extra
Maintainer: Jeremy Jongepier <jeremy@autostatic.com>
Build-Depends: debhelper (>= 7), cmake, libjack-dev, libsndfile-static, cairo-static, ntk-static, liblo-static, libsamplerate-static
Standards-Version: 3.9.3
Homepage: http://openavproductions.com/luppp/

Package: luppp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: luppp music creation tool
 Luppp is a music creation tool, intended for live use.
 It focuses on real time processing and a fast intuitive workflow.

=== debian/rules ===
#!/usr/bin/make -f

FLAGS=-g -O2 -pipe -ffast-math -mtune=generic -msse -msse2 -mfpmath=sse -fPIC -DPIC -fstack-protector --param=ssp-buffer-size=4 -D_FORTIFY_SOURCE=2

export CFLAGS=$(FLAGS)
export CXXFLAGS=$(FLAGS)
export LDFLAGS=-Wl,-O1 -Wl,-Bsymbolic-functions -Wl,--strip-all -Wl,-z,relro,-z,now -Wl,--no-undefined

export PATH:=/opt/kxstudio/bin:$(PATH)
export PKG_CONFIG_PATH=/opt/kxstudio/lib/pkgconfig/

%:
	dh $@ -Scmake
